Bug 162976 - ramdisk is not loadable when multiple option lines for the same driver module in /etc/modprobe.conf
Summary: ramdisk is not loadable when multiple option lines for the same driver module...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mkinitrd   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Brian Lane
QA Contact: Kevin Baker
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 22:18 UTC by Yanling Qi
Modified: 2014-12-01 23:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 17:57:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yanling Qi 2005-07-11 22:18:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050322 Firefox/1.0.2 Red Hat/1.0.2-1.4.1

Description of problem:
When a user added multiple option lines for the same driver module such as

options scsi_mod max_luns=255
options scsi_mod max_report_luns=256

to  the /etc/modprobe.conf

The /sbin/mkinitrd will build a ramdisk with the "init" file that has the following lines

insmod /lib/scsi_mod.ko max_luns=255
max_report_luns=256

Please note that the a "new line" is inserted between the two module parameter settings. When a system is booted with the new initrd image, the following errors will be logged

ERROR: max_report_luns=256 exited abnormally!
insmod: error inserting '/lib/sd_mod.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/sg.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/mppUpper.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/aic7xxx.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/qla2xxx.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/qla2300.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/mppVhba.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/dm-mod.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/jbd.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/ext3.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/dm-mirror.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/dm-zero.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!
insmod: error inserting '/lib/dm-snapshot.ko': -1 File exists
ERROR: /bin/insmod exited abnormally!

The two module parameters in separate lines are leagal. The modprobe command handles this correctly


Version-Release number of selected component (if applicable):
mkinitrd-4.1.18-2

How reproducible:
Always

Steps to Reproduce:
1.
add

options scsi_mod max_luns=255
options scsi_mod max_report_luns=256

to /etc/modprobe.conf
2.
mkinitrd
3.
reboot the system
  

Additional info:


Note You need to log in before you can comment on or make changes to this bug.